import { CursorPosition, SqlAutocompleteResult } from '../../shared/autocomplete-types';
import { ExtractStatementPositionsResult } from '../../shared/extract-statement-positions-from-query';
export { extractMongoCommandsFromQuery, ParsingError as CommandsParsingError, UnexpectedError as UnexpectedCommandsParsingError, FindModifier, Command, FindCommand, FindOneCommand, FindOneAndDeleteCommand, FindOneAndReplaceCommand, FindOneAndUpdateCommand, InsertOneCommand, InsertManyCommand, ExtractMongoCommandsFromQueryResult, BulkWriteCommand, UpdateOneCommand, UpdateManyCommand, ReplaceOneCommand, DeleteOneCommand, DeleteManyCommand, RenameCommand, DropCommand, IsCappedCommand, CreateIndexCommand, CreateIndexesCommand, DropIndexCommand, DropIndexesCommand, ListIndexesCommand, IndexesCommand, IndexExistsCommand, IndexInformationCommand, EstimatedDocumentCountCommand, CountDocumentsCommand, DistinctCommand, } from './mongo-extract-commands';
export interface MongoAutocompleteResult extends SqlAutocompleteResult {
    suggestCollections?: boolean;
}
export declare function parseMongoQueryWithoutCursor(query: string): Pick<MongoAutocompleteResult, 'errors'>;
export declare function parseMongoQuery(query: string, cursor: CursorPosition): MongoAutocompleteResult;
export declare function parseMongoQueryWithCursor(queryWithCursor: string): MongoAutocompleteResult;
export declare function extractMongoStatementPositionsFromQuery(query: string): ExtractStatementPositionsResult;
